portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Sean Taylor <da...@bluesunrise.com>
Subject [j2] jsf-demo build and dependencies 'deployment' specific
Date Wed, 01 Sep 2004 21:33:40 GMT
I'd like to make 2 dependencies in the JSF-Demo application 'target' 
specific
The dependency on jsp-api is conditional, depending on the target 
application server, or deployment:

    <dependency>
      <groupId>jspapi</groupId>
      <artifactId>jsp-api</artifactId>
      <version>2.0-20040521</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>        

It is required for Tomcat 4, but for Tomcat 5 it is not.
Does anyone know if Maven or Maven-2 will have support for 
deployment-specific dependencies?

In the meantime, I've simply unconditionally added the dependencies


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: jetspeed-dev-help@jakarta.apache.org


Mime
View raw message